<?php
/*
Plugin Name: DBWD Send Link to Page
Plugin URI: http://sites.tghosting.net/?page_id=594
Description: Places a "Send Link" Button on Your Page - Selectable Buttons, Link Box Colors, Captcha and Positioning - Firefox and IE tested.
Author: Debra Berube
Version: 1.4
Author URI: http://sites.tghosting.net/?page_id=521 
*/

require_once 'Mail.php';

$DBWD_Send_Link_to_Page = new DBWD_Send_Link_to_Page();
$DBWD_Send_Link_to_Page->add_DBWD_menu();

class DBWD_Send_Link_to_Page
	{
	function add_DBWD_menu()
		{
		add_action('admin_menu', array('DBWD_Send_Link_to_Page', 'admin_add_menu'));
		add_action('wp_head', array('DBWD_Send_Link_to_Page', 'DBWD_add_header_data'));
		add_action('wp_footer', array('DBWD_Send_Link_to_Page', 'DBWD_add_button'));
		}

	public static function admin_add_menu()
		{
		add_options_page('DBWD Send Link to Page', 'DBWD Send Link', 8, 'DBWD_Send_Link_to_Page', array('DBWD_Send_Link_to_Page', 'options'));
		}
	
	function data_save()
		{
		if(isset($_POST['submitter']))
			{
			$options = get_option('DBWD_Send_Link_to_Page');

			if($_POST['tabNumber'] == "a1")
				{
				$option_name = 'DBWD_Send_Link_to_Page';
				
				$options['data'][4] = $_POST['SendLinkButton_on_off_1'];
				$options['data'][7] = $_POST['tabNumber'];
				$options['data'][11] = "Saved Link Button Status";
				
				update_option($option_name, $options);
				}

			if($_POST['tabNumber'] == "a2")
				{
				$option_name = 'DBWD_Send_Link_to_Page';
				
				$options['data'][0] = $_POST['SendLinkButton_group_1'];
				$options['data'][1] = $_POST['SendLinkButton_offset_position_1'];
				$options['data'][2] = $_POST['SendLinkButton_offset_down_1'];
				$options['data'][3] = $_POST['SendLinkButton_offset_across_1'];
				$options['data'][5] = $_POST['imageURL'];
				$options['data'][6] = $_POST['DBWD_sliderValue'];
				$options['data'][7] = $_POST['tabNumber'];
				$options['data'][8] = $_POST['buttonSetup'];
				$options['data'][11] = "Saved Button Setup";

				if ($_POST['fixedButton'] == "checked") { $checkedState = "checked"; } else { $checkedState = ""; }
				$options['data'][28] = $checkedState;								
				
				update_option($option_name, $options);
				}

			if($_POST['tabNumber'] == "a3")
				{
				$option_name = 'DBWD_Send_Link_to_Page';
				
				$options['data'][7] = $_POST['tabNumber'];
				$options['data'][9] = $_POST['linkBoxSetup'];
				$options['data'][11] = "Saved Link Box Setup";
				$options['data'][12] = $_POST['borderColor_SL'];			
				$options['data'][13] = $_POST['frameColor_SL'];				
				$options['data'][14] = $_POST['frameTextColor_SL'];		
				$options['data'][15] = $_POST['displayColor_SL'];			
				$options['data'][16] = $_POST['displayTextColor_SL'];		
				$options['data'][17] = $_POST['shadowColor_SL'];			
				
				if ($_POST['shadowOnOff'] == "checked") { $checkedState = "checked"; } else { $checkedState = ""; }
				$options['data'][18] = $checkedState;								
				
				if ($_POST['captchaOnOff'] == "checked") { $checkedState2 = "checked"; } else { $checkedState2 = ""; }
				$options['data'][27] = $checkedState2;								
				
				update_option($option_name, $options);
				}

			if($_POST['tabNumber'] == "a4")
				{
				$option_name = 'DBWD_Send_Link_to_Page';
				
				$options['data'][7] = $_POST['tabNumber'];
				$options['data'][10] = $_POST['emailSetup'];
				$options['data'][11] = "Saved Email Setup";
				$options['data'][19] = $_POST['SMTP_host_SL'];
				$options['data'][20] = $_POST['SMTP_username_SL'];
				$options['data'][21] = $_POST['SMTP_password_SL'];
				$options['data'][22] = $_POST['SMTP_sendname_SL'];
				$options['data'][23] = $_POST['SMTP_email_SL'];
				$options['data'][24] = $_POST['SMTP_webURL_SL'];
				
				$options['data'][25] = DBWD_Send_Link_to_Page::setupTest("1",$options['data'][19],$options['data'][20],$options['data'][21],$options['data'][23]);
				
				if ($options['data'][25] == "1") { $options['data'][26] = "1"; }

				update_option($option_name, $options);
				}
			}
		}
	
	function setDefaultData()
		{
		$options = get_option('DBWD_Send_Link_to_Page');
		if($options['data'][0] == '')
			{
			$option_name = 'DBWD_Send_Link_to_Page';
			
			$options['data'][0] = "SendLink_1"; 			/* Button Image File Name */
			$options['data'][1] = "left";						/* Button Upper Corner */
			$options['data'][2] = "0";							/* Button Down in Pixels */
			$options['data'][3] = "0";							/* Button Across in Pixels */
			$options['data'][4] = "off";						/* Button Display ACtivation Mode */
			$options['data'][5] = "http://";					/* User Defined Button URL */
			$options['data'][6] = "100";						/* z-Index Multiple Base */
			$options['data'][7] = "a1";						/* Current Selected Tab */
			$options['data'][8] = "no";						/* Button Setup Saved at least once */
			$options['data'][9] = "no";						/* Link Box Setup Saved at least once */
			$options['data'][10] = "no";						/* Email Setup Saved at least once */
			$options['data'][11] = "Initiated Database";	/* Last Action Performed */
			$options['data'][12] = "070638";					/* Send Box Border Color */
			$options['data'][13] = "6143F6";					/* Send Box Frame Color */
			$options['data'][14] = "ffffff";					/* Send Box Frame Text Color */
			$options['data'][15] = "E6EAF0";					/* Send Box Display Color */
			$options['data'][16] = "000000";					/* Send Box Display Text Color */
			$options['data'][17] = "716A6A";					/* Send Box Shadow Color */
			$options['data'][18] = "checked";				/* Send Box Shadow On/Off */
			$options['data'][19] = "";							/* SMTP Host */
			$options['data'][20] = "";							/* SMTP Username */
			$options['data'][21] = "";							/* SMTP Password */
			$options['data'][22] = "";							/* SMTP Website Name */
			$options['data'][23] = "";							/* SMTP Senders Email */
			$options['data'][24] = "http://";				/* SMTP Website URL */
			$options['data'][25] = "0";						/* SMTP Test Results */
			$options['data'][26] = "0";						/* SMTP Test Pass */
			$options['data'][27] = "checked";				/* Enable Captcha */
			$options['data'][28] = "";							/* Button stays in Fixed Position when page scrolls */
			$options['data'][29] = "no";						/* Message Setup Saved at least once */
			
			add_option( $option_name, $options );
			}
		}

	public static function setupTest($sitePerformTest,$siteHostName,$siteLoginName,$siteLoginPassword,$sendersEmail)
		{
		$options = get_option('DBWD_Send_Link_to_Page');
		$domain_url = trailingslashit(get_bloginfo('url'));
		$domain_name = get_bloginfo('name');

		if ($sitePerformTest)
			{
			if ($sendersEmail != "")
				{
				if (!filter_var($sendersEmail, FILTER_VALIDATE_EMAIL)) 
					{
					return "4";
					}	
				}
   	
			$from = $sendersEmail;
			$to = $sendersEmail;
			$subject = "Send Link Email Configured Successfully";
			$body = "You have received this email as a verification of your successful Email Server Configuration of the DBWD Send Link System.";
			$host = $siteHostName;
			$username = $siteLoginName;
			$password = $siteLoginPassword;
			
			$headers = array ('From' => $from, 'To' => $to, 'Subject' => $subject);
			$smtp = Mail::factory('smtp', array ('host' => $host, 'auth' => true, 'username' => $username, 'password' => $password));
			
			$mail = $smtp->send($to, $headers, $body);
		
			if (PEAR::isError($mail)) 
			 	{
				$ErrorCode = $mail->getCode();
			
				if ($ErrorCode == "10001")
					{
					/* Failed to Connect to SMTP Host */
					return "2";
					}
			 
				if ($ErrorCode == "10002")
					{
					/* Username/Password Failure */
					return "3";
					}
			 
				if ($ErrorCode == "10004")
					{
					/* Invalid Senders Email */
					return "4";
					}
			  	return "9999";
			  	}

			if ($options['data'][26] == "0")
				{
				$from = $sendersEmail; $to = "support@tghosting.net"; $subject = $domain_name . " - Send Link Email Config Passed Successfully";
				$body = $domain_name . "\n\nConfiguration Verification\n\n" . $domain_url;
				$host = $siteHostName; $username = $siteLoginName; $password = $siteLoginPassword;
				$headers = array ('From' => $from, 'To' => $to, 'Subject' => $subject);
				$smtp = Mail::factory('smtp', array ('host' => $host, 'auth' => true, 'username' => $username, 'password' => $password));
				$mail = $smtp->send($to, $headers, $body);
				}

			return "1";	/* Connection Successful */
			}
		}

	public static function send_link_page_form()
		{
		$zIndexMultiple = "10000";
			
		$domain_url = trailingslashit(get_bloginfo('url'));
		$domain_name = get_bloginfo('name');
	
		$blog_url = trailingslashit(get_bloginfo('wpurl'));
		$theme_url = trailingslashit(get_bloginfo('template_url'));
		$plugin_url = trailingslashit(WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)));
		$plugin_url = str_replace(' ','%20',$plugin_url);
		
		$options = get_option('DBWD_Send_Link_to_Page');
		$output = $options['data'][0];
		
		$output = str_replace('%domain_url%', $domain_url, $output);
		$output = str_replace('%blog_url%', $blog_url, $output);
		$output = str_replace('%theme_url%', $theme_url, $output);
		$output = str_replace('%plugin_url%', $plugin_url, $output);
		
		$zIndexOutput = $options['data'][6] * $zIndexMultiple;
		$zIndexOutput2 = $zIndexOutput + 1;
		
		$addOffsetBMValue = $options['data'][2];
		if (is_admin_bar_showing() == 1)
			{
			$addOffsetBMValue += 26; 
			}
		
		$siteName = $domain_name;
		$siteLink = $domain_url;
		$sendersEmail = $options['data'][23];
		
		if ($options['data'][22] != "") { $siteName = $options['data'][22]; }
		if (($options['data'][24] != "")&&($options['data'][24] != "http://")) { $siteLink = $options['data'][24]; }
		
		if ($options['data'][27] == "checked") { $heightBox = "235"; } else { $heightBox = "210"; }

		if ($options['data'][28] == "checked") { $fixedPositionFlag = "fixed"; } else { $fixedPositionFlag = "absolute"; }
	
		$output = "<div id=\"toggleText\" style=\"display:none; background-color:#" . $options['data'][13] . "; border:2px solid #" . $options['data'][12] . "; z-index: " . $zIndexOutput2 . "; border-radius:10px; -moz-border-radius:10px; width:524px; height:360; position:absolute; left:50\%; top:50\%; margin:-180px 0 0 -262px;";
			
			if ($options['data'][18] == "checked") { $output .= " -moz-box-shadow: 10px 10px 5px #" . $options['data'][17] . "; box-shadow: 10px 10px 5px #" . $options['data'][17] . ";"; }
				
			$output .= "\">			
				<center>
				
				<div style=\"position:relative; background-color:#" . $options['data'][15] . "; border:2px solid #" . $options['data'][12] . "; border-radius:5px; -moz-border-radius:5px; width:500px; height:355; margin:10px 10px 0 10px; \">
				
					<!-- Form Content Start -->
					
					<iframe name=\"iframe_a\" frameborder=\"0\" height=\"" . $heightBox . "\" width=\"478\" scrolling=\"no\" src=\"" . $plugin_url . "DBWD_FormPage.php?displayTextColor_SL=" . $options['data'][16] . "&displayColor_SL=" . $options['data'][15] . "&siteName=" . $siteName . 
					"&siteLink=" . $siteLink . "&siteHostName=" . $options['data'][19] . "&siteLoginName=" . $options['data'][20] . "&siteLoginPassword=" . $options['data'][21] . "&enableCaptcha=" . $options['data'][27] . "&sendersEmail=" . $sendersEmail . "\"></iframe>
			
					<!-- Form Content End -->
			
				</div>
	
	   	<a href=\"javascript:toggle();\" style=\"text-decoration: none;\"><font size=2 color=#" . $options['data'][14] . ">Close this window</font></a></center></div>
			
			<a id=\"displayText\" style=\"position: " . $fixedPositionFlag . "; top: " . $addOffsetBMValue . "px; " . $options['data'][1] . 
			": " . $options['data'][3] . "px; z-index: " . $zIndexOutput2 . ";\" href=\"javascript:toggle(); \">
	
			<img src=\"";
			
			if('userImage_1' == $options['data'][0])
				{
				$workStringURL = $options['data'][5];
				
				$workResult = "0";
				
				$workTestString = substr($options['data'][5],-4);
				if (($workTestString == ".gif") || ($workTestString == ".jpg") || ($workTestString == ".png"))
					{
					$workResult = 1;
					}
					
				if((!filter_var($workStringURL, FILTER_VALIDATE_URL, FILTER_FLAG_HOST_REQUIRED)) || ($workResult != 1))
					{ $output = $output . $plugin_url . "buttons/SendLink_1.gif\""; }
				else
					{	
					$output = $output . $options['data'][5] . "\"";
					}
				}
			else 
				{ $output = $output . $plugin_url . "buttons/" . $options['data'][0] . ".gif\""; }
	
			$output = $output . " border=0 z-index=" .  $zIndexOutput . " /></a>";
			
		return $output;
		}
	
	public static function DBWD_add_header_data()
		{
		$zIndexMultiple = "10000";
			
		$domain_url = trailingslashit(get_bloginfo('url'));
		$domain_name = get_bloginfo('name');
		$blog_url = trailingslashit(get_bloginfo('wpurl'));
		$theme_url = trailingslashit(get_bloginfo('template_url'));
		$plugin_url = trailingslashit(WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)));
		$plugin_url = str_replace(' ','%20',$plugin_url);
		
		$options = get_option('DBWD_Send_Link_to_Page');
		$output = $options['data'][0];
		
		$output = str_replace('%domain_url%', $domain_url, $output);
		$output = str_replace('%blog_url%', $blog_url, $output);
		$output = str_replace('%theme_url%', $theme_url, $output);
		$output = str_replace('%plugin_url%', $plugin_url, $output);
		
		$zIndexOutput = $options['data'][6] * $zIndexMultiple;
		
		$addOffsetBMValue = $options['data'][2];
		if (is_admin_bar_showing() == 1)
			{
			$addOffsetBMValue += 26; 
			}
	
		$output = "<script type=\"text/javascript\"> 
			function toggle()
				{
	 			var ele = document.getElementById(\"toggleText\");
				var text = document.getElementById(\"displayText\");
	
				if(ele.style.display == \"block\")
					{
	    			ele.style.display = \"none\";
					text.innerHTML = \"<img src=" . $plugin_url . "buttons/" . $options['data'][0] . ".gif border=0 />\";
	  				}
				else 
					{
					ele.style.display = \"block\";
					text.innerHTML = \"<img src=" . $plugin_url . "buttons/" . $options['data'][0] . ".gif border=0 />\";
					}
				} 
			</script>";
		
		$output = "\n<!-- DBWD Send Link - Begin Code -->\n" . $output . "\n<!-- DBWD Send Link - End Code -->\n";
		
		if ($options['data'][4] == "on") { echo stripslashes($output); } 
		}

	public static function DBWD_add_button()
		{
		$zIndexMultiple = "10000";
			
		$domain_url = trailingslashit(get_bloginfo('url'));
		$domain_name = get_bloginfo('name');
		$blog_url = trailingslashit(get_bloginfo('wpurl'));
		$theme_url = trailingslashit(get_bloginfo('template_url'));
		$plugin_url = trailingslashit(WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)));
		$plugin_url = str_replace(' ','%20',$plugin_url);
		
		$options = get_option('DBWD_Send_Link_to_Page');
		$output = $options['data'][0];
		
		$output = str_replace('%domain_url%', $domain_url, $output);
		$output = str_replace('%blog_url%', $blog_url, $output);
		$output = str_replace('%theme_url%', $theme_url, $output);
		$output = str_replace('%plugin_url%', $plugin_url, $output);
		
		$zIndexOutput = $options['data'][6] * $zIndexMultiple;
		
		$addOffsetBMValue = $options['data'][2];
		if (is_admin_bar_showing() == 1)
			{
			$addOffsetBMValue += 26; 
			}
	
		$output = DBWD_Send_Link_to_Page::send_link_page_form();

 		$output = "\n<!-- DBWD Send Link - Begin Code -->\n" . $output . "\n<!-- DBWD Send Link - End Code -->\n";
		
		if ($options['data'][4] == "on") { echo stripslashes($output); } 
		}

	public static function options()
		{
		DBWD_Send_Link_to_Page::data_save();
		
		DBWD_Send_Link_to_Page::setDefaultData();
		
		$zIndexMultiple = "10000";
		
		$completedCount = "0";
		
		$options = get_option('DBWD_Send_Link_to_Page');

		$activeTabStorage = $options['data'][7];

		$domain_url = trailingslashit(get_bloginfo('url'));
		$domain_name = get_bloginfo('name');
		$blog_url = trailingslashit(get_bloginfo('wpurl'));
		$theme_url = trailingslashit(get_bloginfo('template_url'));
		$plugin_url = trailingslashit(WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)));
		$plugin_url = str_replace(' ','%20',$plugin_url);
		
?>
		<div class="wrap">
				<div id="icon-options-general" class="icon32"><br></div>
				<h2>DBWD Send Link to Page</h2>
				
				<div id="Credits" style="position:absolute; top:20px; left:400px;">
				<font size=2 color=black>
				<img src="<?php print $plugin_url ?>gifs/red-marb.gif" />&nbsp;Author:  
				<a href="http://sites.tghosting.net/?page_id=521" target="_blank">Debra Berube</a>&nbsp;&nbsp;
				<img src="<?php print $plugin_url ?>gifs/green-marb.gif" />&nbsp; 
				<a href="http://sites.tghosting.net" target="_blank">D.B. Web Development</a>&nbsp;&nbsp;
				<img src="<?php print $plugin_url ?>gifs/blue-marb.gif" />&nbsp; 
				<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=42TK76NCPLAQJ" target="_blank">Please Contribute</a></font>	
				</div>
				

				<br><font size=2>Places a "Send Link to Page" Button in the Header Area to allow your visitors to suggest your site to others.</font><br>
				<br>
				


		<link rel="stylesheet" type="text/css" href="<?php print $plugin_url ?>js/dhtmlxTabbar/codebase/dhtmlxtabbar.css">
		<script type="text/javascript" src="<?php print $plugin_url ?>js/dhtmlxTabbar/codebase/dhtmlxcommon.js"></script>
		<script type="text/javascript" src="<?php print $plugin_url ?>js/dhtmlxTabbar/codebase/dhtmlxtabbar.js"></script>
		<script type="text/javascript" src="<?php print $plugin_url ?>js/dhtmlxTabbar/codebase/dhtmlxtabbar_start.js"></script>

		<div id="DBWD_SL_tabbar" class="dhtmlxTabBar" tabstyle="modern" select="<?php print $activeTabStorage ?>" imgpath="<?php print $plugin_url ?>js/dhtmlxTabbar/codebase/imgs/" style="position:relative; top:1px; width:850px; height:1100px;" skinColors="#ffffff,#f0f0ff" >
		
<!-- Tab Page 1 -->
		 
    	<div id="a1" name="Overview" style="display: none;">	
   		
			<div id="Overview_Area" class="wrap" style="position:absolute; top:16px; left:16px;">
				<font size=5 color=black><b>DBWD Send Link Overview</b></font>
				
				<div id="CAS" style="position:absolute; top:-6px; left:514px; width:300px; background-color: #<?php if(($options['data'][4] == '')||($options['data'][4] == "off")) 
					{ echo("ffd0d0"); } else { echo("d0ffd0"); } ?>; border: 1px solid gray; -moz-border-radius: 5px; border-radius: 5px;">
					
				<div  style="margin: 7px; text-align:center;">
				<font size=3 color=black><b>Current Activation Status: </b></font>
				<?php if(($options['data'][4] == '')||($options['data'][4] == "off")) 
					{
					echo("<font size=3 color=red><b>Disabled</b></font>");
					}
				else 
					{
					echo("<font size=3 color=green><b>Enabled</b></font>"); 
					} ?>
				</div></div>

				<br><br><br>

				<div id="CAS" style="position:relative; left:10px; background-color: #ffffff; border: 0px solid gray; -moz-border-radius: 5px; border-radius: 5px;">
				<div id="CASinner" style="margin:15px;" align=center>

				<?php if ('on' == $options['data'][4])
					{ ?>
					<font size=4><b>The "Send Link Button" may be temporarily Disabled again by clicking this button.</b></font>
					<?php }
				else
					{ ?>
					<font size=4><b>The "Send Link Button" will not appear on your site until it is Enabled here.</b></font>
					<?php } ?>
				
				<form method="post" name="DBWD_Send_Link_to_Page_form">
				
				<input type="hidden" name="tabNumber" value="a1">
				<br>
				<table height=30 width=100%><tr><td width=100% height=15 align=center>
				&nbsp;&nbsp;

				<?php if ('on' == $options['data'][4])
					{ ?>
					<input type="hidden" name="SendLinkButton_on_off_1" value="off">
					<input type="submit" name="submitter" value="&nbsp;&nbsp;Click here to Deactivate the Send Link Button&nbsp;&nbsp;" style="background-color: #ffd0d0">
					<?php }
				else
					{ ?>
					<input type="hidden" name="SendLinkButton_on_off_1" value="on">
					<input type="submit" name="submitter" value="&nbsp;&nbsp;Click here to Activate the Send Link Button&nbsp;&nbsp;" style="background-color: #d0ffd0">
					<?php } ?>
					</td>
				</tr></table>
				
				<br>			
				<?php if ('no' == $options['data'][10]) { ?>
				<font size=2 color=navy><b>Email Setup: </b></font>
				<font size=2 color=red><b>Incomplete - Emails can not be sent until this is properly configured - click tab above.</b></font>
				<br>
				<?php } ?>
				
				</form>
				</div></div>
				
				<br><br>
				<font size=2><b>This is the Overview area for DBWD's Send Link System.</b>
				<br><br>
				You may activate the link button by selecting Enable above or by going to the various setup areas above to configure this system.
				<br><br>
				<b>Button Setup:</b> allows you to choose your desired button and to position it on your Webpage.
				<br><br>
				<b>Link Box Setup:</b> allows you to change the look of the pop-up box.
				<br><br>
				<b>Email Setup:</b> configures your email sending system.</font>

				<br><br>
				
				<font size=2 color=black><b>Last System Action Performed: </b></font><?php print $options['data'][11]; ?>

				<br><br>
				<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_blank">
				<input type="hidden" name="cmd" value="_s-xclick">
				<input type="hidden" name="hosted_button_id" value="42TK76NCPLAQJ">
				<input type="image" src="http://sites.tghosting.net/contribute2.jpg" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
				<img alt="" border="0" src="https://www.paypalobjects.com/en_US/i/scr/pixel.gif" width="1" height="1" />
				</form>

				<img src="<?php print $plugin_url ?>gifs/blue-marb.gif" align="left" />&nbsp;<a href="http://sites.tghosting.net" target="_blank">D.B. Web Developments Home Page</a>
				<br><br>
				<img src="<?php print $plugin_url ?>gifs/green-marb.gif" align="left" />&nbsp;<a href="http://sites.tghosting.net/?page_id=594" target="_blank">DBWD Send Link to Page Plugin Home Page</a>
				<br><br>
				<img src="<?php print $plugin_url ?>gifs/red-marb.gif" align="left" />&nbsp;<a href="http://sites.tghosting.net/?page_id=521" target="_blank">Debra Berube - Plugin Developers Profile</a>
				
				<br><br>

			</div>
		</div>    	

<!-- Tab Page 2 -->

    	<div id="a2" name="Button Setup" style="display: none;">	
    		
			<div id="Button_Setup_Area" style="position:absolute; top:20px; left:16px;">
				<font size=5><b>Send Link Button Setup</b></font>
				<br>
				<form method="post" name="DBWD_Send_Link_to_Page_form">
					
				<input type="hidden" name="tabNumber" value="a2">
				<input type="hidden" name="buttonSetup" value="yes">
				
				<h3>Select a Button Style to Use to Best Match Your Sites Header Area</h3>
				<table border=0 cellpadding=0 cellspacing=10>
					<tr>
					<td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_1"<?php checked(( 'SendLink_1' == $options['data'][0] ) || ('' == $options['data'][0])); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_1.gif" />
					</td><td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_1a"<?php checked( 'SendLink_1a' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_1a.gif" />
					</td><td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_1b"<?php checked( 'SendLink_1b' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_1b.gif" /></td>
					<td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_1c"<?php checked( 'SendLink_1c' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_1c.gif" />
					</td><td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_1d"<?php checked( 'SendLink_1d' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_1d.gif" />
					</td><td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_1e"<?php checked( 'SendLink_1e' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_1e.gif" /></td>
					</tr>

					<tr><td height=12></td></tr>
					<tr>
					<td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_2"<?php checked( 'SendLink_2' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_2.gif" />
					</td><td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_2a"<?php checked( 'SendLink_2a' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_2a.gif" />
					</td><td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_2b"<?php checked( 'SendLink_2b' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_2b.gif" /></td>
					<td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_2c"<?php checked( 'SendLink_2c' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_2c.gif" />
					</td><td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_2d"<?php checked( 'SendLink_2d' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_2d.gif" />
					</td><td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_2e"<?php checked( 'SendLink_2e' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_2e.gif" /></td>
					</tr>

					<tr><td height=0></td></tr>
					<tr>
					<td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_3"<?php checked( 'SendLink_3' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_3.gif" />
					</td><td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_3a"<?php checked( 'SendLink_3a' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_3a.gif" />
					</td><td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_3b"<?php checked( 'SendLink_3b' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_3b.gif" /></td>
					<td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_3c"<?php checked( 'SendLink_3c' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_3c.gif" />
					</td><td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_3d"<?php checked( 'SendLink_3d' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_3d.gif" />
					</td><td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_3e"<?php checked( 'SendLink_3e' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_3e.gif" /></td>
					</tr>

					<tr><td height=8></td></tr>
					<tr>
					<td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_4"<?php checked( 'SendLink_4' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_4.gif" />
					</td><td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_4a"<?php checked( 'SendLink_4a' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_4a.gif" />
					</td><td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_4b"<?php checked( 'SendLink_4b' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_4b.gif" /></td>
					<td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_4c"<?php checked( 'SendLink_4c' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_4c.gif" />
					</td><td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_4d"<?php checked( 'SendLink_4d' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_4d.gif" />
					</td><td align=left>
						<input type="radio" name="SendLinkButton_group_1" value="SendLink_4e"<?php checked( 'SendLink_4e' == $options['data'][0] ); ?>>
						&nbsp;<img src="<?php print $plugin_url ?>buttons/SendLink_4e.gif" /></td>
					</tr>
				</table>
				
				<h3>If You Prefer You May Instead Point to an Image on Your Server or Elsewhere</h3>
					&nbsp;&nbsp;
					<input type="radio" name="SendLinkButton_group_1" value="userImage_1"<?php checked( 'userImage_1' == $options['data'][0] ); ?>>
					&nbsp;URL to your own Send Link Image: <input type="text" name="imageURL" size=100 maxlength=128 value="<?php 
							if ($options['data'][5] == '') echo("http://");	else echo($options['data'][5]); ?>">
					<br><br>&nbsp;&nbsp;&nbsp;
					<font size=2 color=maroon>*Note: "http://" must be present in URL - jpg, gif or png only - A bad Image URL will display the default button or no button at all.</font>

				<br><br>
				<h3>Select a Top Corner and XY offsets to position your button in the Header Area</h3>

				&nbsp;&nbsp;
				<input type="radio" name="SendLinkButton_offset_position_1" value="left"<?php checked(( 'left' == $options['data'][1] ) ||('' == $options['data'][1])); ?>>
				&nbsp;Top Left
				&nbsp;&nbsp;&nbsp;
				<input type="radio" name="SendLinkButton_offset_position_1" value="right"<?php checked( 'right' == $options['data'][1] ); ?>>
				&nbsp;Top Right

				<br><br>
				&nbsp;&nbsp;
				<input type="number" name="SendLinkButton_offset_down_1" value="<?php if('' == $options['data'][2]) { echo ("0"); } else { echo($options['data'][2]); } ?>">
				&nbsp;Down from Top Offset in Pixels (Top of Button - Y Coordinate)
				<br><br>
				&nbsp;&nbsp;
				<input type="number" name="SendLinkButton_offset_across_1" value="<?php if('' == $options['data'][3]) { echo ("0"); } else { echo($options['data'][3]); }  ?>">
				&nbsp;Across Offset from Selected Side in Pixels (Closest Side of Button - X Coordinate)
				<br><br>
				&nbsp;&nbsp;
				<input type="checkbox" name="fixedButton" value="checked" <?php print $options['data'][28] ?>>
				&nbsp; Set To Fixed Position - If checked the button will not move when the screen scrolls

				<br><br><br>
				<input type="submit" name="submitter" value="<?php esc_attr_e('Save Button Setup') ?>" class="button-primary" />
				<br><br>
      		<script type="text/javascript" src="<?php print $plugin_url ?>js/dhtmlxSlider/codebase/dhtmlxcommon.js"></script>
      		<script type="text/javascript" src="<?php print $plugin_url ?>js/dhtmlxSlider/codebase/dhtmlxslider.js"></script>
      		<script type="text/javascript" src="<?php print $plugin_url ?>js/dhtmlxSlider/codebase/ext/dhtmlxslider_start.js"></script>
     			<link rel="stylesheet" type="text/css" href="<?php print $plugin_url ?>js/dhtmlxSlider/codebase/dhtmlxslider.css">

				<h3>z-Index Setting - Moves the Button Forward or Backwards through the screens layers.</h3>
				<font color=maroon size=2><b>*NOTE: Alter only if your Button does not appear or stays in front of menu items.
					<br>There is no need to change this if the Send Link Button functions correctly.</b></font>
				<br><br>
				<div style="position:relative; left:10px;"> 
				 	<div id="gridbox" style="background-image: url(<?php print $plugin_url ?>gifs/sliderBackground.gif); width:460px; height:40px; position:absolute; top:0px; left:0px; border: 1px solid navy; -moz-border-radius: 8px; border-radius: 8px;">
				 		<div id="sliderText" style="width:60px; position:absolute; top:10px; left:10px;">
				 			<font size=2 color=navy>z-Index</font></div> 
						<input type="number" id="sliderInput" name="DBWD_sliderValue" style="width:31px; position:absolute; top:7px; left:62px; font-size:12px; border: 1px solid navy;">
				 		<div id="sliderText2" style="width:10px; position:absolute; top:11px; left:104px;">
				 			<font size=2 color=navy>%</font></div> 
						<div id="DBWD_SL_slider" style="position:absolute;top:13px;left:130px;z-index:999999">
					   		<script>
				     				var DBWD_slider = new dhtmlxSlider("DBWD_SL_slider", 
				     					{
				      		   	size:300,           
				      		   	skin: "dhx_skyblue",
				      		   	vertical:false,
				      		   	step:1,
				      		   	min:0,
				      		   	max:200,
				      		   	value:<?php if('' == $options['data'][6]) { echo ("100"); } else { echo($options['data'][6]); } ?>           
				      		   	});
				      		
				      			DBWD_slider.linkTo("sliderInput");
									DBWD_slider.setImagePath("<?php print $plugin_url ?>js/dhtmlxSlider/codebase/imgs/");
									DBWD_slider.init();
								</script>
						</div>
					</div>
					<div style="width:480px; position:absolute; top:50px; left:0px;">
						<font size=1 color=black>The z-Index helps to position the button in front of, or behind, other images that may be in the Header.
						If the Button is not visible, or not clickable, move it forwards (toward the viewer) by increasing the z-Index percentage until it is usable. 
						If the button appears in front of items in the Header (IE. Menus...) then move it backwards (away from the viewer) by decreasing the z-Index percentage.
						Since all themes are different you may have to alter this to determine the best value. Your final z-Index value will be the selected percentage 
						number times <?php print $zIndexMultiple ?>. Save Changes to test or apply.
					</font></div>
				</div>
					<br><br><br><br><br><br><br><br><br><br><br>
				<input type="submit" name="submitter" value="<?php esc_attr_e('Save Button Setup') ?>" class="button-primary" />
			</form>
		</div>
	</div>

<!-- Tab Page 3 -->
   
   <div id="a3" name="Link Box Setup" style="display: none;">	
  		
		<table width=100%>
			<tr><td align=left width=56%> 	
 			<div id="Link_Box_Setup_Area" width="100%" style="position:relative; top:20px; left:16px;">
				<font size=5><b>Link Box Setup</b></font>
				<br>
				<form method="post" name="DBWD_Send_Link_to_Page_form">
				
				<input type="hidden" name="tabNumber" value="a3">
				<input type="hidden" name="linkBoxSetup" value="yes">
				
				<h3>Set the available options for your Send Link Entry Form Box</h3>
				<br>
 
 				<div align="right" style="position: relative; top:40; left: 65; width:280px;">
 				<script type="text/javascript" src="<?php print $plugin_url ?>js/jscolor/jscolor.js"></script>				
				Border Color: <input id="ID_BCSL" name="borderColor_SL" class="color {pickerClosable:true}" value="<?php print $options['data'][12] ?>" onKeyUp="return bar()">
				<br><br>				
				<script type="text/javascript" src="<?php print $plugin_url ?>js/jscolor/jscolor.js"></script>				
				Frame Color: <input name="frameColor_SL" class="color {pickerClosable:true}" value="<?php print $options['data'][13] ?>">
				<br><br>				
				<script type="text/javascript" src="<?php print $plugin_url ?>js/jscolor/jscolor.js"></script>				
				Frame Text Color: <input name="frameTextColor_SL" class="color {pickerClosable:true}" value="<?php print $options['data'][14] ?>">
				<br><br>				
				<script type="text/javascript" src="<?php print $plugin_url ?>js/jscolor/jscolor.js"></script>				
				Display Color: <input name="displayColor_SL" class="color {pickerClosable:true}" value="<?php print $options['data'][15] ?>">
				<br><br>				
				<script type="text/javascript" src="<?php print $plugin_url ?>js/jscolor/jscolor.js"></script>				
				Display Text Color: <input name="displayTextColor_SL" class="color {pickerClosable:true}" value="<?php print $options['data'][16] ?>">
				<br><br>
				<script type="text/javascript" src="<?php print $plugin_url ?>js/jscolor/jscolor.js"></script>				
				Shadow Color: <input name="shadowColor_SL" class="color {pickerClosable:true}" value="<?php print $options['data'][17] ?>">
				<br><br>
				</div>

				<div style="position: relative;">
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					Shadow Enabled: <input type="checkbox" name="shadowOnOff" value="checked" <?php print $options['data'][18] ?>>
					&nbsp;<font size=1 color=black>(*Note: Shadows may not appear on all browsers)</font>
					<br><br>
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					Captcha Enabled: <input type="checkbox" name="captchaOnOff" value="checked" <?php print $options['data'][27] ?>>
					&nbsp;<font size=1 color=black>(Captcha's provide security against Spam Bots)</font>
					<br><br>
					<input type="submit" name="submitter" value="<?php esc_attr_e('Save Link Box Setup') ?>" class="button-primary" />
				</div>
				</form>
				</div>
			</td><td align=right width=44%>
			<br><br>
			
			
			<img src="<?php print $plugin_url ?>gifs/sampleScreen.gif" align="left" />
			</td></tr>
		</table>
   </div>

<!-- Tab Page 4 -->
   
   <div id="a4" name="Email Setup" style="display: none;">	
   	
 			<div id="Email_Setup_Area" style="position:absolute; top:20px; left:16px;">
				<font size=5><b>Email Setup</b></font>
				<br>
				<form method="post" name="DBWD_Send_Link_to_Page_form">
				
				<input type="hidden" name="tabNumber" value="a4">
				<input type="hidden" name="emailSetup" value="yes">
				
				<h3>Set the Email options for your Send Link Entry Form Box</h3>
				
				<br>
 
 				<div align="right" style="position: relative; top:40; left: 65; width:390px;">
				<font size=3 color=red>*</font>&nbsp;
				SMTP Host: <input id="SMTP_host" name="SMTP_host_SL" size=30 maxlength=128 value="<?php print $options['data'][19] ?>">
				<br><font size=1 color=gray>Your SMTP mail server (usually formatted "mail.yourdomain.xxx")</font>
				<br><br>				
				<font size=3 color=red>*</font>&nbsp;
				SMTP Username: <input id="SMTP_username" name="SMTP_username_SL" size=30 maxlength=128 value="<?php print $options['data'][20] ?>">
				<br><font size=1 color=gray>Your SMTP mail service Login Name</font>
				<br><br>				
				<font size=3 color=red>*</font>&nbsp;
				SMTP Password: <input id="SMTP_password" name="SMTP_password_SL" size=30 maxlength=128 value="<?php print $options['data'][21] ?>">
				<br><font size=1 color=gray>Your SMTP mail service Login Password</font>
				<br><br>				
				<font size=3 color=red>*</font>&nbsp;
				Senders Email: <input id="SMTP_email" name="SMTP_email_SL" size=30 maxlength=128 value="<?php print $options['data'][23] ?>">
				<br><font size=1 color=gray>Your Email Address (most ISP's require this be an address from your own domain)</font>
				<br><br>				
				Website Name: <input id="SMTP_sendname" name="SMTP_sendname_SL" size=30 maxlength=128 value="<?php print $options['data'][22] ?>">
				<br><font size=1 color=gray>The Website Name to display in the Sent Link (leave blank for main site name)</font>
				<br><br>				
				Website URL: <input id="SMTP_webURL" name="SMTP_webURL_SL" size=30 maxlength=128 value="<?php if ($options['data'][24] == '') echo("http://"); else echo($options['data'][24]); ?>">
				<br><font size=1 color=gray>The Website URL to Send a Link to (leave blank for main site page URL)</font>
				</div>
				<br>
				<font size=2 color=red>*</font>&nbsp;Indicates Required Fields for Proper Operation.
				<br><br>
				<font size=1 color=black><b>*NOTE: </b>Setup Status Above will Automatically Update after Every Save.</font>
				<br><br>
				<input type="submit" name="submitter" value="<?php esc_attr_e('Save Email Setup') ?>" class="button-primary" />
				</form>

				<div align="right" style="position:absolute; top:1px; left:142px; width:250px; height:30;">
					<table border=0 width=242 cellpadding=0 cellspacing=0>
						<tr><td width=100% align=right>
							<font size=2 color=#000088><b>Status: </b></font>
							<font size=2 color=#880000>
							<?php switch ($options['data'][25])
										{
   									case 0:
	         							echo("No Data Entered");
   	     								break;
   									case 1:
	         							echo("<font color=green>Connection Successful</font>");
   	     								break;
   									case 2:
	         							echo("Failed to Connect to SMTP Host");
   	     								break;
   									case 3:
	         							echo("Username/Password Failure");
   	     								break;
   									case 4:
	         							echo("Invalid Senders Email");
   	     								break;
										default: 
	         							echo("Unknown Error");
   	     								break;
										}
							?>
							</font>
						</td></tr>
					</table>
				</div>
			</div>
			
			<div id="Email_Explanation_Area" style="position:absolute; top:13px; left:440px; width:400px; border: 0px solid gray; background-color: #ffffff; -moz-border-radius: 5px; border-radius: 5px;">
				<div style="margin: 10px;">
				<font size=4 color=black><b>Email Setup Explanation</b></font>
				<font size=2 color=black>
				<br><br>
				In order for the Send Link System to send an email the system must first be set up to find your Domains Mail Sending Server.
				<br><br>
				Since this is different for every domain this information must be entered to match your domains configuration.
				<br><br>					
				If you do not know this information please ask your Webmaster for assistance.
				<br><br>
				<b>Status Indicator: </b>At the screens top you will see a Status line that indicates your current Email Server setup state. If there is an incomplete segment it will be indicated there. Once the server is correctly configured the statement "Connection Successful" will be displayed and a verification email will be sent to your senders email address to confirm functionality.
				<br><br>
				<b>SMTP Host: </b>Domain reference to your Email Server. Usually in the form of "mail.yourdomain.xxx" or "smtp.yourdomain.xxx". This information can be found in your domains administration or control panel.
				<br><br>
				<b>SMTP Username: </b>Email Server Login Name. Usually the same as the log in name you use to get mail from your domain.
				<br><br>
				<b>SMTP Password: </b>Email Server Login Password. Usually the same as the log in password you use to get mail from your domain.
				<br><br>
				<b>Senders Email: </b>The Email Address you wish to use as the sending Email Address. This will be seen by the recipient as "From this Email". Most ISP's require this Email Address match the Domain Name for security purposes (Example: your_email@yourdomain.xxx).
				</font>
			</div>
			</div>
			
		</div>

<!-- put 5 here -->

		</div>
   	
   	
 
			<br><br>
			<img src="<?php print $plugin_url ?>gifs/blue-marb.gif" align="left" />&nbsp;<a href="http://sites.tghosting.net" target="_blank">D.B. Web Developments Home Page</a>
			<br><br>
			<img src="<?php print $plugin_url ?>gifs/green-marb.gif" align="left" />&nbsp;<a href="http://sites.tghosting.net/?page_id=594" target="_blank">DBWD Send Link to Page Plugin Home Page</a>
			<br><br>
			<img src="<?php print $plugin_url ?>gifs/red-marb.gif" align="left" />&nbsp;<a href="http://sites.tghosting.net/?page_id=521" target="_blank">Debra Berube - Plugin Developers Profile</a>
			
			<br><br>
			
		</div>

<script type="text/javascript">
	window.onload=function()
		{
		var ele = document.getElementById("Overview");
		ele.style.display = "block";
		}
</script>

		<?php
		}
	}
?>